<?php  
namespace Concrete\Package\Salix\Theme\Salix;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme {

	public function registerAssets() {
       	$this->requireAsset('javascript', 'jquery');
		$this->providesAsset('css', 'font-awesome');
        $this->providesAsset('javascript', 'bootstrap/*');
		$this->providesAsset('css', 'bootstrap/*');
		$this->providesAsset('javascript', 'backstretch');
		$this->providesAsset('javascript', 'retinajs');
	}

   	protected $pThemeGridFrameworkHandle = 'bootstrap3';
	
	public function getThemeBlockClasses()
    {
        return array(

            'image' => array(
                'salix-fade',
				'center-block',
                'img-full-width',
                'img-salix-shadow',
                'img-circle',
                'img-circle center-block'
            )
        );
    }

  public function getThemeEditorClasses()
{
    return array(
        array('title' => t('Salix Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix btn-xlg'),
		array('title' => t('Salix Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix btn-lg'),
		array('title' => t('Salix Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-salix btn-default'),
        array('title' => t('Salix Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix btn-sm'),
		array('title' => t('Salix Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix btn-xs'),
		array('title' => t('Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-transparent btn-xlg'),
		array('title' => t('Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-transparent btn-lg'),
		array('title' => t('Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-transparent btn-default'),
        array('title' => t('Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-transparent btn-sm'),
		array('title' => t('Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-transparent btn-xs'),
		array('title' => t('Light Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-light-transparent btn-xlg'),
		array('title' => t('Light Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-light-transparent btn-lg'),
		array('title' => t('Light Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-light-transparent btn-default'),
        array('title' => t('Light Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-light-transparent btn-sm'),
		array('title' => t('Light Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-light-transparent btn-xs'),
		array('title' => t('Dark Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-dark-transparent btn-xlg'),
		array('title' => t('Dark Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-dark-transparent btn-lg'),
		array('title' => t('Dark Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-dark-transparent btn-default'),
        array('title' => t('Dark Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-dark-transparent btn-sm'),
		array('title' => t('Dark Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-salix-dark-transparent btn-xs'),
		array('title' => t('Banner caption'), 'menuClass' => '', 'spanClass' => 'banner-caption'),
		array('title' => t('Handwritten Text'), 'menuClass' => '', 'spanClass' => 'salix-handwritten-font'),
		array('title' => t('White Text'), 'menuClass' => '', 'spanClass' => 'salix-white'),
		array('title' => t('Text Shadow'), 'menuClass' => '', 'spanClass' => 'salix-text-shadow'),
		array('title' => t('White Text with Shadow'), 'menuClass' => '', 'spanClass' => 'salix-white-text-shadow')
				
    );
}
}